## EXPORT_SPEC int ixmlLoadDocumentEx

## (char* xmlFile,
IXML_Document** doc )

> Parses an XML text file converting it into an IXML DOM representation.

## Documentation

> Parses an XML text file converting it into an IXML DOM representation.

> The ixmlLoadDocumentEx API differs from the ixmlLoadDocument API in that it returns a an error code representing the actual failure rather than just `NULL`.

Parameters:
  xmlFile - The filename of the XML text to convert to a Document.
  doc - A pointer to the Document if file correctly parses or NULL on an error.
Returns:
  [int] An integer representing one of the following:
  - `IXML_SUCCESS`: The operation completed successfully.
  - `IXML_INVALID_PARAMETER`: The xmlFile is not a valid pointer.
  - `IXML_INSUFFICIENT_MEMORY`: Not enough free memory exists to complete this operation.

Alphabetic index

This page was generated with the help of DOC++.